=== doc/Makefile ===
include ../make.include

doc	: ref user

ref	: FORCE
	@echo "Making Reference Manual psp..."
	cd ref; html2ps -C hb -n -u -U -W b -x 1 index.html > ref.ps
	@echo "Making Reference Manual pdf"
	cd ref; ps2pdf ref.ps ref.pdf 

user	: FORCE
	@echo "Making User Manual psp..."
	cd user; html2ps -C hb -n -u -U -W b -x 1 index.html > user.ps
	@echo "Making User Manual pdf"
	cd user; ps2pdf user.ps user.pdf 

clean	: FORCE
	$(RM) core *~ *# 

distclean : FORCE
	$(RM) core *~ *# *.ps *.pdf

FORCE	:
