=== rice/Makefile ===
include ../make.include

CFLAGS	= $(CCOPT) -I.

SRC	= ricecomp.c

OBJS	= $(SRC:%.c=%.o)
LIB	= librice.a

$(LIB)	: $(OBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS)

install	: $(LIB)
	cp $(LIB) ../lib/.

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o *.a *.so

FORCE	:
