=== debian/changelog ===
saods9 (7.0.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 16 Jun 2012 10:30:00 +0200

saods9 (6.2+dfsg-2) unstable; urgency=low

  * Fix FTBS for hurd and kfreebsd, closes: #675899
  * Set DM-Upload-Allowed

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 05 Jun 2012 11:06:04 +0200

saods9 (6.2+dfsg-1) unstable; urgency=low

  * Re-insert removed package, closes: #655648
  * New maintainer.
  * New upstream version
  * Push to policy version 3.9.3
  * Use external libraries instead of convienence copies where possible.

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 13 May 2012 18:00:00 +0200

saods9 (4.0b7-2) unstable; urgency=low

  * QA upload.
  * Orphan package
  * Put package to collab-maint git
  * Fix gcc-4.3 build, closes: #461710
  * Import changes from ubuntu:
   + Transition to gfortran, closes: #449456
   + Fix tcl/tk location, closes: #450475
   + Add .desktop file and icon for it, closes: #377452
   - remove dpatch usage: die die die
  * Ack NMU's; closes: #377113, #444563, #344317

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 30 Mar 2008 15:19:23 +0300

saods9 (4.0b7-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to dynamic loading of tcllib packages. It fixes FTBFS caused
    by tcllib upgrade (closes: #409488).
  * Added build-dependency on libtk-img-dev because of libtk-img splitting.
  * Switched to dynamic loading of Img package. It fixed FTBFS caused by
    libtk-img upgrade. Also, it fixes loading of incorrect Img libraries
    (closes: #429332).
  * Included patch by Martin Michlmayr which fixes FTBFS with GCC 4.3
    (closes: #417681).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Sep 2007 14:35:47 +0400

saods9 (4.0b7-1.4) unstable; urgency=low

  * NMU (credativ BSP)
  * (Build-)depend on libtktable2.9, to kill off the old version. This also
    replaces the dep on the -dev package, which was unneeded (.so is in the
    lib package).
    This will allow us to kill off libtktable, which is rc-buggy

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 15 Sep 2006 11:36:22 +0200

saods9 (4.0b7-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add a manual dependency from saods9 to libtktable, as dpkg-shlibdeps
    refuses to add automatic dependency information for any soname not on
    the form "foo.so.bar" or "foo-bar.so", and "libTkTable2.9.so" is neither.
    (Closes: #374795)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  6 Jul 2006 20:52:00 +0200

saods9 (4.0b7-1.2) unstable; urgency=low

  * NMU
  * Fix FTBFS with gcc-4.1 (Closes: #356979)
  * Use /usr/lib/tcllib1.8 instead of 1.7
  * Link against tktable2.9
  * Build-depends on libtktable-dev

 -- Julien Danjou <acid@debian.org>  Mon, 29 May 2006 15:42:39 +0200

saods9 (4.0b7-1.1) unstable; urgency=low

  * Non-maintainer upload at request of maintainer.
  * make.linux: Change /usr/X11R6/include to /usr/include/X11 in preparation
    for the coming X directory rearrangement (Closes: #344317).

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 10 Jan 2006 10:08:27 -0500

saods9 (4.0b7-1) unstable; urgency=low

  * New upstream release;
    Along with a 3-line patch, fixes FTBFS with new GCC (Closes: #318042);
    Causes rebuild with GCC 4, as needed for transition.
  * Bump Standards-Version to 3.6.2 (no changes required).
  * ./debian/rules: get_orig_source now exists to generate a DFSG .orig
    tarball using fortran CVS copy of SLALIB, the C implementation of which is
    not GPL; the sources distributed by CfA are obfuscated (Closes: #336098).
  * Rewrite copyright file; include the unmodified license as distributed by
    CfA; document all copyright holders and licenses for packages included in
    the DFSG .orig tarball (Closes: #303665).
  * ./debian/control: Priority: extra (Closes: #315690).
  * Include generated manpage; a first step towards closing #303651.
  * Include documentation relevent to package; (Closes: #303668); selected
    items from ./ds9/doc/ and ./xpa/doc/; also include docbase templates.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Thu, 17 Nov 2005 23:56:09 -0500

saods9 (3.0.3-1) unstable; urgency=low

  * Initial Release (Closes: #289371)
    - Thanks Aurelien Jarno.
  * Revert commented-out include in saotk/hal/Makefile.
    - Thanks Michael Weber.
  * Remove rpath from ds9 binary.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Tue, 22 Mar 2005 11:29:52 -0500
