=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDPARTS:=dirs checkdns tkmpeg html iis rice hcompress plio xmlrpc unix blt saotk ds9

get-orig-source:
	sh ./debian/repack-dfsg.sh

%:
	dh $@

override_dh_auto_build:
	ln -sf make.linux make.include
	dh_auto_build -- $(BUILDPARTS)
	chmod ugo-x ds9/zipdir/zvfsmntpt/src/*.tcl
	perl -w debian/generate-man > ds9/ds9.1

override_dh_installchangelogs:
	dh_installchangelogs doc/release/r6.0.html
