=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
    http://hea-www.harvard.edu/RD/ds9/site/Download.html \
    http://hea-www.harvard.edu/saord/download/ds9/source/ds9\.(.*)\.tar\.gz \
    debian \
    debian/repack-dfsg.sh
