## saods9 7.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -111,6 +111,9 @@
 	COPYING \
 	copyright \
 	iis \
+	make.darwin64x86mountainlion \
+	make.darwinx86mountainlion \
+	make.darwinmountainlion \
 	make.darwin64x86lion \
 	make.darwinx86lion \
 	make.darwinlion \
@@ -156,7 +159,6 @@
 	compilers \
 	$(ZVFSDIR)/Makefile \
 	$(WCSSUBSDIR)/Makefile \
-	$(SLADIR)/Makefile \
 	$(RICEDIR)/Makefile \
 	$(HCOMPRESSDIR)/Makefile \
 	$(PLIODIR)/Makefile
@@ -186,7 +188,7 @@
 	tktable tkcon xmlrpc blt \
 	zlib tclxml tkimg tkmpeg html \
 	xpa iis checkdns $(SIGNAL) funtools \
-	sla ast wcssubs \
+	ast wcssubs \
 	rice hcompress plio \
 	$(OPTDIR) \
 	saotk zip zvfs ds9
@@ -339,12 +341,8 @@
 funtools: FORCE
 	@echo "Installing Funtools..."
 	cd $(FUNTOOLSDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure --prefix $(root) --with-zlib=../../lib/libz.a --with-wcslib=../lib/libwcs.a --enable-mainlib $(FUNTOOLSFLAGS)
-	cd $(FUNTOOLSDIR); $(MAKE) -j $(JOBS) lib
+	cd $(FUNTOOLSDIR); $(MAKE) lib
 	cp $(FUNTOOLSDIR)/libfuntools.a lib/.
-
-sla	: FORCE 
-	@echo "Installint SLA..."
-	cd $(SLADIR); $(MAKE) -j $(JOBS) install
 
 ast	: FORCE
 	@echo "Installing AST..."
@@ -407,7 +405,7 @@
 	tktableclean bltclean \
 	zlibclean tclxmlclean tkimgclean tkmpegclean htmlclean \
 	xpaclean iisclean checkdnsclean $(SIGNALCLEAN) funtoolsclean \
-	slaclean astclean wcssubsclean \
+	astclean wcssubsclean \
 	riceclean hcompressclean plioclean \
 	$(OPTDIRCLEAN) \
 	saotkclean zipclean zvfsclean ds9clean srcclean \
@@ -418,3 +416,6 @@
 	$(RM) core *~ *#
 
 dirsclean: FORCE
+	@for d in $(DIRS); do rm -rf $$d; done
+
+tclclean : FORCE
