=== src/Makefile ===
--- 
+++ 
@@ -19,17 +19,19 @@
 	catcdssrch.tcl \
 	catcdssrchdialog.tcl \
 	catcmd.tcl \
+	catcxc.tcl \
 	catdialog.tcl \
-	cattsv.tcl \
-	catcxc.tcl \
 	catflt.tcl \
+	catmatch.tcl \
 	catned.tcl \
 	catopt.tcl \
+	catplot.tcl \
 	catreg.tcl \
 	catsdss.tcl \
 	catsimbad.tcl \
 	catskybot.tcl \
 	catsym.tcl \
+	cattsv.tcl \
 	catvot.tcl \
 	centroid.tcl \
 	circle.tcl \
@@ -76,8 +78,11 @@
 	load.tcl \
 	magnifier.tcl \
 	marker.tcl \
+	markeranalysispanda.tcl \
 	markeranalysisplot2d.tcl \
 	markeranalysisplot3d.tcl \
+	markeranalysisradial.tcl \
+	markeranalysisstats.tcl \
 	markerbase.tcl \
 	markerbaseannulus.tcl \
 	markerbaseannulusrect.tcl \
@@ -109,7 +114,13 @@
 	pixel.tcl \
 	photo.tcl \
 	plot.tcl \
-	plotsup.tcl \
+	plotbar.tcl \
+	plotdialog.tcl \
+	plotelement.tcl \
+	plotline.tcl \
+	plotprint.tcl \
+	plotprocess.tcl \
+	plotscatter.tcl \
 	point.tcl \
 	polygon.tcl \
 	prefs.tcl \
