=== debian/changelog ===
saods9 (7.1+dfsg-1~exp2ubuntu1) raring; urgency=low

  * multiarch-tcltk.patch:
    fix FTBFS by searching for tcl/tk in multiarch directories
    depend on dpkg-dev (>= 1.16.0) for DEB_HOST_MULTIARCH

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 20 Apr 2013 19:35:09 +0200

saods9 (7.1+dfsg-1~exp2) experimental; urgency=low

  * Fix crashes on 2D marker plots, closes: #693807
  * Remove obsolete DMUA Flag

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 17 Dec 2012 13:20:43 +0100

saods9 (7.1+dfsg-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 14 Oct 2012 13:47:27 +0200

saods9 (7.0.2+dfsg-1~exp1) experimental; urgency=low

  * New upstream release
  * Propagate hardening flags

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 19 Jul 2012 11:30:00 +0200
