=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: saods9
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-DM-Upload-Allowed: yes
 Build-Depends: autotools-dev,
+               dpkg-dev (>= 1.16.0),
                debhelper (>= 7.0.50),
                html2text,
                cpio,
@@ -38,7 +39,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: saods9-doc
-Suggests: xpa-tools
+Suggests: xpa-tools, python-pyds9
 Description: Image display tool for astronomy
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
@@ -73,7 +74,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Image display tool for astronomy (documentation)
+Description: Image display tool for astronomy (help files/documentation)
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
  buffers, region manipulation, and many scale algorithms and colormaps. It
@@ -92,4 +93,4 @@
  provides for easy communication with external analysis tasks and is highly
  configurable and extensible via XPA and SAMP.
  .
- This package contains the shared data.
+ This package contains the architecture independent files.
