=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	perl -w debian/generate-man > ds9/ds9.1
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/release/r6.0.html
+	dh_installchangelogs doc/release/r7.0.html
